Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStyleOptionComboBox Class Reference

The QStyleOptionComboBox class is used to describe the parameter for drawing a combobox. More...

    #include <QStyleOptionComboBox>

Inherits QStyleOptionComplex.

- List of all members, including inherited members

### Read-Only Properties

- editable : bool
- popupRect : QRect

- 2 read-only properties inherited from QStyleOptionComplex
- 5 read-only properties inherited from QStyleOption

### Public Functions

- QStyleOptionComboBox ()

- 1 public function inherited from QStyleOption

## Detailed Description

The QStyleOptionComboBox class is used to describe the parameter for drawing a combobox.

The QStyleOptionComboBox class is used for drawing QComboBox.

## Property Documentation

### editable : bool

This property holds whether or not the combobox is editable or not.

See also QComboBox::isEditable().

### popupRect : QRect

This property holds the popup rectangle for the combobox.

## Member Function Documentation

### QStyleOptionComboBox::QStyleOptionComboBox ()

Creates a QStyleOptionComboBox. The members variables are initialized to default values.